Show / Hide Table of Contents

# AsyncTriggerExtensions Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public static class AsyncTriggerExtensions

##### Inheritance

System.Object → AsyncTriggerExtensions

### Members

#### Methods

Name | Description
--- | ---
AwakeAsync(Component) |
AwakeAsync(GameObject) |
GetAsyncAnimatorIKTrigger(Component) |
GetAsyncAnimatorIKTrigger(GameObject) |
GetAsyncAnimatorMoveTrigger(Component) |
GetAsyncAnimatorMoveTrigger(GameObject) |
GetAsyncApplicationFocusTrigger(Component) |
GetAsyncApplicationFocusTrigger(GameObject) |
GetAsyncApplicationPauseTrigger(Component) |
GetAsyncApplicationPauseTrigger(GameObject) |
GetAsyncApplicationQuitTrigger(Component) |
GetAsyncApplicationQuitTrigger(GameObject) |
GetAsyncAudioFilterReadTrigger(Component) |
GetAsyncAudioFilterReadTrigger(GameObject) |
GetAsyncAwakeTrigger(Component) |
GetAsyncAwakeTrigger(GameObject) |
GetAsyncBecameInvisibleTrigger(Component) |
GetAsyncBecameInvisibleTrigger(GameObject) |
GetAsyncBecameVisibleTrigger(Component) |
GetAsyncBecameVisibleTrigger(GameObject) |
GetAsyncBeforeTransformParentChangedTrigger(Component) |
GetAsyncBeforeTransformParentChangedTrigger(GameObject) |
GetAsyncBeginDragTrigger(Component) |
GetAsyncBeginDragTrigger(GameObject) |
GetAsyncCancelTrigger(Component) |
GetAsyncCancelTrigger(GameObject) |
GetAsyncCollisionEnter2DTrigger(Component) |
GetAsyncCollisionEnter2DTrigger(GameObject) |
GetAsyncCollisionEnterTrigger(Component) |
GetAsyncCollisionEnterTrigger(GameObject) |
GetAsyncCollisionExit2DTrigger(Component) |
GetAsyncCollisionExit2DTrigger(GameObject) |
GetAsyncCollisionExitTrigger(Component) |
GetAsyncCollisionExitTrigger(GameObject) |
GetAsyncCollisionStay2DTrigger(Component) |
GetAsyncCollisionStay2DTrigger(GameObject) |
GetAsyncCollisionStayTrigger(Component) |
GetAsyncCollisionStayTrigger(GameObject) |
GetAsyncControllerColliderHitTrigger(Component) |
GetAsyncControllerColliderHitTrigger(GameObject) |
GetAsyncDeselectTrigger(Component) |
GetAsyncDeselectTrigger(GameObject) |
GetAsyncDestroyTrigger(Component) |
GetAsyncDestroyTrigger(GameObject) |
GetAsyncDisableTrigger(Component) |
GetAsyncDisableTrigger(GameObject) |
GetAsyncDragTrigger(Component) |
GetAsyncDragTrigger(GameObject) |
GetAsyncDrawGizmosSelectedTrigger(Component) |
GetAsyncDrawGizmosSelectedTrigger(GameObject) |
GetAsyncDrawGizmosTrigger(Component) |
GetAsyncDrawGizmosTrigger(GameObject) |
GetAsyncDropTrigger(Component) |
GetAsyncDropTrigger(GameObject) |
GetAsyncEnableTrigger(Component) |
GetAsyncEnableTrigger(GameObject) |
GetAsyncEndDragTrigger(Component) |
GetAsyncEndDragTrigger(GameObject) |
GetAsyncFixedUpdateTrigger(Component) |
GetAsyncFixedUpdateTrigger(GameObject) |
GetAsyncGUITrigger(Component) |
GetAsyncGUITrigger(GameObject) |
GetAsyncInitializePotentialDragTrigger(Component) |
GetAsyncInitializePotentialDragTrigger(GameObject) |
GetAsyncJointBreak2DTrigger(Component) |
GetAsyncJointBreak2DTrigger(GameObject) |
GetAsyncJointBreakTrigger(Component) |
GetAsyncJointBreakTrigger(GameObject) |
GetAsyncLateUpdateTrigger(Component) |
GetAsyncLateUpdateTrigger(GameObject) |
GetAsyncMouseDownTrigger(Component) |
GetAsyncMouseDownTrigger(GameObject) |
GetAsyncMouseDragTrigger(Component) |
GetAsyncMouseDragTrigger(GameObject) |
GetAsyncMouseEnterTrigger(Component) |
GetAsyncMouseEnterTrigger(GameObject) |
GetAsyncMouseExitTrigger(Component) |
GetAsyncMouseExitTrigger(GameObject) |
GetAsyncMouseOverTrigger(Component) |
GetAsyncMouseOverTrigger(GameObject) |
GetAsyncMouseUpAsButtonTrigger(Component) |
GetAsyncMouseUpAsButtonTrigger(GameObject) |
GetAsyncMouseUpTrigger(Component) |
GetAsyncMouseUpTrigger(GameObject) |
GetAsyncMoveTrigger(Component) |
GetAsyncMoveTrigger(GameObject) |
GetAsyncOnCanvasGroupChangedTrigger(Component) |
GetAsyncOnCanvasGroupChangedTrigger(GameObject) |
GetAsyncParticleCollisionTrigger(Component) |
GetAsyncParticleCollisionTrigger(GameObject) |
GetAsyncParticleSystemStoppedTrigger(Component) |
GetAsyncParticleSystemStoppedTrigger(GameObject) |
GetAsyncParticleTriggerTrigger(Component) |
GetAsyncParticleTriggerTrigger(GameObject) |
GetAsyncPointerClickTrigger(Component) |
GetAsyncPointerClickTrigger(GameObject) |
GetAsyncPointerDownTrigger(Component) |
GetAsyncPointerDownTrigger(GameObject) |
GetAsyncPointerEnterTrigger(Component) |
GetAsyncPointerEnterTrigger(GameObject) |
GetAsyncPointerExitTrigger(Component) |
GetAsyncPointerExitTrigger(GameObject) |
GetAsyncPointerUpTrigger(Component) |
GetAsyncPointerUpTrigger(GameObject) |
GetAsyncPostRenderTrigger(Component) |
GetAsyncPostRenderTrigger(GameObject) |
GetAsyncPreCullTrigger(Component) |
GetAsyncPreCullTrigger(GameObject) |
GetAsyncPreRenderTrigger(Component) |
GetAsyncPreRenderTrigger(GameObject) |
GetAsyncRectTransformDimensionsChangeTrigger(Component) |
GetAsyncRectTransformDimensionsChangeTrigger(GameObject) |
GetAsyncRectTransformRemovedTrigger(Component) |
GetAsyncRectTransformRemovedTrigger(GameObject) |
GetAsyncRenderImageTrigger(Component) |
GetAsyncRenderImageTrigger(GameObject) |
GetAsyncRenderObjectTrigger(Component) |
GetAsyncRenderObjectTrigger(GameObject) |
GetAsyncResetTrigger(Component) |
GetAsyncResetTrigger(GameObject) |
GetAsyncScrollTrigger(Component) |
GetAsyncScrollTrigger(GameObject) |
GetAsyncSelectTrigger(Component) |
GetAsyncSelectTrigger(GameObject) |
GetAsyncServerInitializedTrigger(Component) |
GetAsyncServerInitializedTrigger(GameObject) |
GetAsyncStartTrigger(Component) |
GetAsyncStartTrigger(GameObject) |
GetAsyncSubmitTrigger(Component) |
GetAsyncSubmitTrigger(GameObject) |
GetAsyncTransformChildrenChangedTrigger(Component) |
GetAsyncTransformChildrenChangedTrigger(GameObject) |
GetAsyncTransformParentChangedTrigger(Component) |
GetAsyncTransformParentChangedTrigger(GameObject) |
GetAsyncTriggerEnter2DTrigger(Component) |
GetAsyncTriggerEnter2DTrigger(GameObject) |
GetAsyncTriggerEnterTrigger(Component) |
GetAsyncTriggerEnterTrigger(GameObject) |
GetAsyncTriggerExit2DTrigger(Component) |
GetAsyncTriggerExit2DTrigger(GameObject) |
GetAsyncTriggerExitTrigger(Component) |
GetAsyncTriggerExitTrigger(GameObject) |
GetAsyncTriggerStay2DTrigger(Component) |
GetAsyncTriggerStay2DTrigger(GameObject) |
GetAsyncTriggerStayTrigger(Component) |
GetAsyncTriggerStayTrigger(GameObject) |
GetAsyncUpdateSelectedTrigger(Component) |
GetAsyncUpdateSelectedTrigger(GameObject) |
GetAsyncUpdateTrigger(Component) |
GetAsyncUpdateTrigger(GameObject) |
GetAsyncValidateTrigger(Component) |
GetAsyncValidateTrigger(GameObject) |
GetAsyncWillRenderObjectTrigger(Component) |
GetAsyncWillRenderObjectTrigger(GameObject) |
OnDestroyAsync(Component) | This function is called when the MonoBehaviour will be destroyed.
OnDestroyAsync(GameObject) | This function is called when the MonoBehaviour will be destroyed.
StartAsync(Component) |
StartAsync(GameObject) |

### Methods

#### AwakeAsync(Component)

    public static UniTask AwakeAsync(this Component component)

##### Parameters

`component` Component

##### Returns

UniTask

#### AwakeAsync(GameObject)

    public static UniTask AwakeAsync(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

UniTask

#### GetAsyncAnimatorIKTrigger(Component)

    public static AsyncAnimatorIKTrigger GetAsyncAnimatorIKTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncAnimatorIKTrigger

#### GetAsyncAnimatorIKTrigger(GameObject)

    public static AsyncAnimatorIKTrigger GetAsyncAnimatorIKTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncAnimatorIKTrigger

#### GetAsyncAnimatorMoveTrigger(Component)

    public static AsyncAnimatorMoveTrigger GetAsyncAnimatorMoveTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncAnimatorMoveTrigger

#### GetAsyncAnimatorMoveTrigger(GameObject)

    public static AsyncAnimatorMoveTrigger GetAsyncAnimatorMoveTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncAnimatorMoveTrigger

#### GetAsyncApplicationFocusTrigger(Component)

    public static AsyncApplicationFocusTrigger GetAsyncApplicationFocusTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncApplicationFocusTrigger

#### GetAsyncApplicationFocusTrigger(GameObject)

    public static AsyncApplicationFocusTrigger GetAsyncApplicationFocusTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncApplicationFocusTrigger

#### GetAsyncApplicationPauseTrigger(Component)

    public static AsyncApplicationPauseTrigger GetAsyncApplicationPauseTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncApplicationPauseTrigger

#### GetAsyncApplicationPauseTrigger(GameObject)

    public static AsyncApplicationPauseTrigger GetAsyncApplicationPauseTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncApplicationPauseTrigger

#### GetAsyncApplicationQuitTrigger(Component)

    public static AsyncApplicationQuitTrigger GetAsyncApplicationQuitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncApplicationQuitTrigger

#### GetAsyncApplicationQuitTrigger(GameObject)

    public static AsyncApplicationQuitTrigger GetAsyncApplicationQuitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncApplicationQuitTrigger

#### GetAsyncAudioFilterReadTrigger(Component)

    public static AsyncAudioFilterReadTrigger GetAsyncAudioFilterReadTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncAudioFilterReadTrigger

#### GetAsyncAudioFilterReadTrigger(GameObject)

    public static AsyncAudioFilterReadTrigger GetAsyncAudioFilterReadTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncAudioFilterReadTrigger

#### GetAsyncAwakeTrigger(Component)

    public static AsyncAwakeTrigger GetAsyncAwakeTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncAwakeTrigger

#### GetAsyncAwakeTrigger(GameObject)

    public static AsyncAwakeTrigger GetAsyncAwakeTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncAwakeTrigger

#### GetAsyncBecameInvisibleTrigger(Component)

    public static AsyncBecameInvisibleTrigger GetAsyncBecameInvisibleTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncBecameInvisibleTrigger

#### GetAsyncBecameInvisibleTrigger(GameObject)

    public static AsyncBecameInvisibleTrigger GetAsyncBecameInvisibleTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncBecameInvisibleTrigger

#### GetAsyncBecameVisibleTrigger(Component)

    public static AsyncBecameVisibleTrigger GetAsyncBecameVisibleTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncBecameVisibleTrigger

#### GetAsyncBecameVisibleTrigger(GameObject)

    public static AsyncBecameVisibleTrigger GetAsyncBecameVisibleTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncBecameVisibleTrigger

#### GetAsyncBeforeTransformParentChangedTrigger(Component)

    public static AsyncBeforeTransformParentChangedTrigger GetAsyncBeforeTransformParentChangedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncBeforeTransformParentChangedTrigger

#### GetAsyncBeforeTransformParentChangedTrigger(GameObject)

    public static AsyncBeforeTransformParentChangedTrigger GetAsyncBeforeTransformParentChangedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncBeforeTransformParentChangedTrigger

#### GetAsyncBeginDragTrigger(Component)

    public static AsyncBeginDragTrigger GetAsyncBeginDragTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncBeginDragTrigger

#### GetAsyncBeginDragTrigger(GameObject)

    public static AsyncBeginDragTrigger GetAsyncBeginDragTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncBeginDragTrigger

#### GetAsyncCancelTrigger(Component)

    public static AsyncCancelTrigger GetAsyncCancelTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCancelTrigger

#### GetAsyncCancelTrigger(GameObject)

    public static AsyncCancelTrigger GetAsyncCancelTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCancelTrigger

#### GetAsyncCollisionEnter2DTrigger(Component)

    public static AsyncCollisionEnter2DTrigger GetAsyncCollisionEnter2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCollisionEnter2DTrigger

#### GetAsyncCollisionEnter2DTrigger(GameObject)

    public static AsyncCollisionEnter2DTrigger GetAsyncCollisionEnter2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCollisionEnter2DTrigger

#### GetAsyncCollisionEnterTrigger(Component)

    public static AsyncCollisionEnterTrigger GetAsyncCollisionEnterTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCollisionEnterTrigger

#### GetAsyncCollisionEnterTrigger(GameObject)

    public static AsyncCollisionEnterTrigger GetAsyncCollisionEnterTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCollisionEnterTrigger

#### GetAsyncCollisionExit2DTrigger(Component)

    public static AsyncCollisionExit2DTrigger GetAsyncCollisionExit2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCollisionExit2DTrigger

#### GetAsyncCollisionExit2DTrigger(GameObject)

    public static AsyncCollisionExit2DTrigger GetAsyncCollisionExit2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCollisionExit2DTrigger

#### GetAsyncCollisionExitTrigger(Component)

    public static AsyncCollisionExitTrigger GetAsyncCollisionExitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCollisionExitTrigger

#### GetAsyncCollisionExitTrigger(GameObject)

    public static AsyncCollisionExitTrigger GetAsyncCollisionExitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCollisionExitTrigger

#### GetAsyncCollisionStay2DTrigger(Component)

    public static AsyncCollisionStay2DTrigger GetAsyncCollisionStay2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCollisionStay2DTrigger

#### GetAsyncCollisionStay2DTrigger(GameObject)

    public static AsyncCollisionStay2DTrigger GetAsyncCollisionStay2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCollisionStay2DTrigger

#### GetAsyncCollisionStayTrigger(Component)

    public static AsyncCollisionStayTrigger GetAsyncCollisionStayTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncCollisionStayTrigger

#### GetAsyncCollisionStayTrigger(GameObject)

    public static AsyncCollisionStayTrigger GetAsyncCollisionStayTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncCollisionStayTrigger

#### GetAsyncControllerColliderHitTrigger(Component)

    public static AsyncControllerColliderHitTrigger GetAsyncControllerColliderHitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncControllerColliderHitTrigger

#### GetAsyncControllerColliderHitTrigger(GameObject)

    public static AsyncControllerColliderHitTrigger GetAsyncControllerColliderHitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncControllerColliderHitTrigger

#### GetAsyncDeselectTrigger(Component)

    public static AsyncDeselectTrigger GetAsyncDeselectTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDeselectTrigger

#### GetAsyncDeselectTrigger(GameObject)

    public static AsyncDeselectTrigger GetAsyncDeselectTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDeselectTrigger

#### GetAsyncDestroyTrigger(Component)

    public static AsyncDestroyTrigger GetAsyncDestroyTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDestroyTrigger

#### GetAsyncDestroyTrigger(GameObject)

    public static AsyncDestroyTrigger GetAsyncDestroyTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDestroyTrigger

#### GetAsyncDisableTrigger(Component)

    public static AsyncDisableTrigger GetAsyncDisableTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDisableTrigger

#### GetAsyncDisableTrigger(GameObject)

    public static AsyncDisableTrigger GetAsyncDisableTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDisableTrigger

#### GetAsyncDragTrigger(Component)

    public static AsyncDragTrigger GetAsyncDragTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDragTrigger

#### GetAsyncDragTrigger(GameObject)

    public static AsyncDragTrigger GetAsyncDragTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDragTrigger

#### GetAsyncDrawGizmosSelectedTrigger(Component)

    public static AsyncDrawGizmosSelectedTrigger GetAsyncDrawGizmosSelectedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDrawGizmosSelectedTrigger

#### GetAsyncDrawGizmosSelectedTrigger(GameObject)

    public static AsyncDrawGizmosSelectedTrigger GetAsyncDrawGizmosSelectedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDrawGizmosSelectedTrigger

#### GetAsyncDrawGizmosTrigger(Component)

    public static AsyncDrawGizmosTrigger GetAsyncDrawGizmosTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDrawGizmosTrigger

#### GetAsyncDrawGizmosTrigger(GameObject)

    public static AsyncDrawGizmosTrigger GetAsyncDrawGizmosTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDrawGizmosTrigger

#### GetAsyncDropTrigger(Component)

    public static AsyncDropTrigger GetAsyncDropTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncDropTrigger

#### GetAsyncDropTrigger(GameObject)

    public static AsyncDropTrigger GetAsyncDropTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncDropTrigger

#### GetAsyncEnableTrigger(Component)

    public static AsyncEnableTrigger GetAsyncEnableTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncEnableTrigger

#### GetAsyncEnableTrigger(GameObject)

    public static AsyncEnableTrigger GetAsyncEnableTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncEnableTrigger

#### GetAsyncEndDragTrigger(Component)

    public static AsyncEndDragTrigger GetAsyncEndDragTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncEndDragTrigger

#### GetAsyncEndDragTrigger(GameObject)

    public static AsyncEndDragTrigger GetAsyncEndDragTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncEndDragTrigger

#### GetAsyncFixedUpdateTrigger(Component)

    public static AsyncFixedUpdateTrigger GetAsyncFixedUpdateTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncFixedUpdateTrigger

#### GetAsyncFixedUpdateTrigger(GameObject)

    public static AsyncFixedUpdateTrigger GetAsyncFixedUpdateTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncFixedUpdateTrigger

#### GetAsyncGUITrigger(Component)

    public static AsyncGUITrigger GetAsyncGUITrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncGUITrigger

#### GetAsyncGUITrigger(GameObject)

    public static AsyncGUITrigger GetAsyncGUITrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncGUITrigger

#### GetAsyncInitializePotentialDragTrigger(Component)

    public static AsyncInitializePotentialDragTrigger GetAsyncInitializePotentialDragTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncInitializePotentialDragTrigger

#### GetAsyncInitializePotentialDragTrigger(GameObject)

    public static AsyncInitializePotentialDragTrigger GetAsyncInitializePotentialDragTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncInitializePotentialDragTrigger

#### GetAsyncJointBreak2DTrigger(Component)

    public static AsyncJointBreak2DTrigger GetAsyncJointBreak2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncJointBreak2DTrigger

#### GetAsyncJointBreak2DTrigger(GameObject)

    public static AsyncJointBreak2DTrigger GetAsyncJointBreak2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncJointBreak2DTrigger

#### GetAsyncJointBreakTrigger(Component)

    public static AsyncJointBreakTrigger GetAsyncJointBreakTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncJointBreakTrigger

#### GetAsyncJointBreakTrigger(GameObject)

    public static AsyncJointBreakTrigger GetAsyncJointBreakTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncJointBreakTrigger

#### GetAsyncLateUpdateTrigger(Component)

    public static AsyncLateUpdateTrigger GetAsyncLateUpdateTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncLateUpdateTrigger

#### GetAsyncLateUpdateTrigger(GameObject)

    public static AsyncLateUpdateTrigger GetAsyncLateUpdateTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncLateUpdateTrigger

#### GetAsyncMouseDownTrigger(Component)

    public static AsyncMouseDownTrigger GetAsyncMouseDownTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseDownTrigger

#### GetAsyncMouseDownTrigger(GameObject)

    public static AsyncMouseDownTrigger GetAsyncMouseDownTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseDownTrigger

#### GetAsyncMouseDragTrigger(Component)

    public static AsyncMouseDragTrigger GetAsyncMouseDragTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseDragTrigger

#### GetAsyncMouseDragTrigger(GameObject)

    public static AsyncMouseDragTrigger GetAsyncMouseDragTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseDragTrigger

#### GetAsyncMouseEnterTrigger(Component)

    public static AsyncMouseEnterTrigger GetAsyncMouseEnterTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseEnterTrigger

#### GetAsyncMouseEnterTrigger(GameObject)

    public static AsyncMouseEnterTrigger GetAsyncMouseEnterTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseEnterTrigger

#### GetAsyncMouseExitTrigger(Component)

    public static AsyncMouseExitTrigger GetAsyncMouseExitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseExitTrigger

#### GetAsyncMouseExitTrigger(GameObject)

    public static AsyncMouseExitTrigger GetAsyncMouseExitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseExitTrigger

#### GetAsyncMouseOverTrigger(Component)

    public static AsyncMouseOverTrigger GetAsyncMouseOverTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseOverTrigger

#### GetAsyncMouseOverTrigger(GameObject)

    public static AsyncMouseOverTrigger GetAsyncMouseOverTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseOverTrigger

#### GetAsyncMouseUpAsButtonTrigger(Component)

    public static AsyncMouseUpAsButtonTrigger GetAsyncMouseUpAsButtonTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseUpAsButtonTrigger

#### GetAsyncMouseUpAsButtonTrigger(GameObject)

    public static AsyncMouseUpAsButtonTrigger GetAsyncMouseUpAsButtonTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseUpAsButtonTrigger

#### GetAsyncMouseUpTrigger(Component)

    public static AsyncMouseUpTrigger GetAsyncMouseUpTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMouseUpTrigger

#### GetAsyncMouseUpTrigger(GameObject)

    public static AsyncMouseUpTrigger GetAsyncMouseUpTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMouseUpTrigger

#### GetAsyncMoveTrigger(Component)

    public static AsyncMoveTrigger GetAsyncMoveTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncMoveTrigger

#### GetAsyncMoveTrigger(GameObject)

    public static AsyncMoveTrigger GetAsyncMoveTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncMoveTrigger

#### GetAsyncOnCanvasGroupChangedTrigger(Component)

    public static AsyncOnCanvasGroupChangedTrigger GetAsyncOnCanvasGroupChangedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncOnCanvasGroupChangedTrigger

#### GetAsyncOnCanvasGroupChangedTrigger(GameObject)

    public static AsyncOnCanvasGroupChangedTrigger GetAsyncOnCanvasGroupChangedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncOnCanvasGroupChangedTrigger

#### GetAsyncParticleCollisionTrigger(Component)

    public static AsyncParticleCollisionTrigger GetAsyncParticleCollisionTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncParticleCollisionTrigger

#### GetAsyncParticleCollisionTrigger(GameObject)

    public static AsyncParticleCollisionTrigger GetAsyncParticleCollisionTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncParticleCollisionTrigger

#### GetAsyncParticleSystemStoppedTrigger(Component)

    public static AsyncParticleSystemStoppedTrigger GetAsyncParticleSystemStoppedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncParticleSystemStoppedTrigger

#### GetAsyncParticleSystemStoppedTrigger(GameObject)

    public static AsyncParticleSystemStoppedTrigger GetAsyncParticleSystemStoppedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncParticleSystemStoppedTrigger

#### GetAsyncParticleTriggerTrigger(Component)

    public static AsyncParticleTriggerTrigger GetAsyncParticleTriggerTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncParticleTriggerTrigger

#### GetAsyncParticleTriggerTrigger(GameObject)

    public static AsyncParticleTriggerTrigger GetAsyncParticleTriggerTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncParticleTriggerTrigger

#### GetAsyncPointerClickTrigger(Component)

    public static AsyncPointerClickTrigger GetAsyncPointerClickTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPointerClickTrigger

#### GetAsyncPointerClickTrigger(GameObject)

    public static AsyncPointerClickTrigger GetAsyncPointerClickTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPointerClickTrigger

#### GetAsyncPointerDownTrigger(Component)

    public static AsyncPointerDownTrigger GetAsyncPointerDownTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPointerDownTrigger

#### GetAsyncPointerDownTrigger(GameObject)

    public static AsyncPointerDownTrigger GetAsyncPointerDownTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPointerDownTrigger

#### GetAsyncPointerEnterTrigger(Component)

    public static AsyncPointerEnterTrigger GetAsyncPointerEnterTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPointerEnterTrigger

#### GetAsyncPointerEnterTrigger(GameObject)

    public static AsyncPointerEnterTrigger GetAsyncPointerEnterTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPointerEnterTrigger

#### GetAsyncPointerExitTrigger(Component)

    public static AsyncPointerExitTrigger GetAsyncPointerExitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPointerExitTrigger

#### GetAsyncPointerExitTrigger(GameObject)

    public static AsyncPointerExitTrigger GetAsyncPointerExitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPointerExitTrigger

#### GetAsyncPointerUpTrigger(Component)

    public static AsyncPointerUpTrigger GetAsyncPointerUpTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPointerUpTrigger

#### GetAsyncPointerUpTrigger(GameObject)

    public static AsyncPointerUpTrigger GetAsyncPointerUpTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPointerUpTrigger

#### GetAsyncPostRenderTrigger(Component)

    public static AsyncPostRenderTrigger GetAsyncPostRenderTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPostRenderTrigger

#### GetAsyncPostRenderTrigger(GameObject)

    public static AsyncPostRenderTrigger GetAsyncPostRenderTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPostRenderTrigger

#### GetAsyncPreCullTrigger(Component)

    public static AsyncPreCullTrigger GetAsyncPreCullTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPreCullTrigger

#### GetAsyncPreCullTrigger(GameObject)

    public static AsyncPreCullTrigger GetAsyncPreCullTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPreCullTrigger

#### GetAsyncPreRenderTrigger(Component)

    public static AsyncPreRenderTrigger GetAsyncPreRenderTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncPreRenderTrigger

#### GetAsyncPreRenderTrigger(GameObject)

    public static AsyncPreRenderTrigger GetAsyncPreRenderTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncPreRenderTrigger

#### GetAsyncRectTransformDimensionsChangeTrigger(Component)

    public static AsyncRectTransformDimensionsChangeTrigger GetAsyncRectTransformDimensionsChangeTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncRectTransformDimensionsChangeTrigger

#### GetAsyncRectTransformDimensionsChangeTrigger(GameObject)

    public static AsyncRectTransformDimensionsChangeTrigger GetAsyncRectTransformDimensionsChangeTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncRectTransformDimensionsChangeTrigger

#### GetAsyncRectTransformRemovedTrigger(Component)

    public static AsyncRectTransformRemovedTrigger GetAsyncRectTransformRemovedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncRectTransformRemovedTrigger

#### GetAsyncRectTransformRemovedTrigger(GameObject)

    public static AsyncRectTransformRemovedTrigger GetAsyncRectTransformRemovedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncRectTransformRemovedTrigger

#### GetAsyncRenderImageTrigger(Component)

    public static AsyncRenderImageTrigger GetAsyncRenderImageTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncRenderImageTrigger

#### GetAsyncRenderImageTrigger(GameObject)

    public static AsyncRenderImageTrigger GetAsyncRenderImageTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncRenderImageTrigger

#### GetAsyncRenderObjectTrigger(Component)

    public static AsyncRenderObjectTrigger GetAsyncRenderObjectTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncRenderObjectTrigger

#### GetAsyncRenderObjectTrigger(GameObject)

    public static AsyncRenderObjectTrigger GetAsyncRenderObjectTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncRenderObjectTrigger

#### GetAsyncResetTrigger(Component)

    public static AsyncResetTrigger GetAsyncResetTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncResetTrigger

#### GetAsyncResetTrigger(GameObject)

    public static AsyncResetTrigger GetAsyncResetTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncResetTrigger

#### GetAsyncScrollTrigger(Component)

    public static AsyncScrollTrigger GetAsyncScrollTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncScrollTrigger

#### GetAsyncScrollTrigger(GameObject)

    public static AsyncScrollTrigger GetAsyncScrollTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncScrollTrigger

#### GetAsyncSelectTrigger(Component)

    public static AsyncSelectTrigger GetAsyncSelectTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncSelectTrigger

#### GetAsyncSelectTrigger(GameObject)

    public static AsyncSelectTrigger GetAsyncSelectTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncSelectTrigger

#### GetAsyncServerInitializedTrigger(Component)

    public static AsyncServerInitializedTrigger GetAsyncServerInitializedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncServerInitializedTrigger

#### GetAsyncServerInitializedTrigger(GameObject)

    public static AsyncServerInitializedTrigger GetAsyncServerInitializedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncServerInitializedTrigger

#### GetAsyncStartTrigger(Component)

    public static AsyncStartTrigger GetAsyncStartTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncStartTrigger

#### GetAsyncStartTrigger(GameObject)

    public static AsyncStartTrigger GetAsyncStartTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncStartTrigger

#### GetAsyncSubmitTrigger(Component)

    public static AsyncSubmitTrigger GetAsyncSubmitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncSubmitTrigger

#### GetAsyncSubmitTrigger(GameObject)

    public static AsyncSubmitTrigger GetAsyncSubmitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncSubmitTrigger

#### GetAsyncTransformChildrenChangedTrigger(Component)

    public static AsyncTransformChildrenChangedTrigger GetAsyncTransformChildrenChangedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTransformChildrenChangedTrigger

#### GetAsyncTransformChildrenChangedTrigger(GameObject)

    public static AsyncTransformChildrenChangedTrigger GetAsyncTransformChildrenChangedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTransformChildrenChangedTrigger

#### GetAsyncTransformParentChangedTrigger(Component)

    public static AsyncTransformParentChangedTrigger GetAsyncTransformParentChangedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTransformParentChangedTrigger

#### GetAsyncTransformParentChangedTrigger(GameObject)

    public static AsyncTransformParentChangedTrigger GetAsyncTransformParentChangedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTransformParentChangedTrigger

#### GetAsyncTriggerEnter2DTrigger(Component)

    public static AsyncTriggerEnter2DTrigger GetAsyncTriggerEnter2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTriggerEnter2DTrigger

#### GetAsyncTriggerEnter2DTrigger(GameObject)

    public static AsyncTriggerEnter2DTrigger GetAsyncTriggerEnter2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTriggerEnter2DTrigger

#### GetAsyncTriggerEnterTrigger(Component)

    public static AsyncTriggerEnterTrigger GetAsyncTriggerEnterTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTriggerEnterTrigger

#### GetAsyncTriggerEnterTrigger(GameObject)

    public static AsyncTriggerEnterTrigger GetAsyncTriggerEnterTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTriggerEnterTrigger

#### GetAsyncTriggerExit2DTrigger(Component)

    public static AsyncTriggerExit2DTrigger GetAsyncTriggerExit2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTriggerExit2DTrigger

#### GetAsyncTriggerExit2DTrigger(GameObject)

    public static AsyncTriggerExit2DTrigger GetAsyncTriggerExit2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTriggerExit2DTrigger

#### GetAsyncTriggerExitTrigger(Component)

    public static AsyncTriggerExitTrigger GetAsyncTriggerExitTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTriggerExitTrigger

#### GetAsyncTriggerExitTrigger(GameObject)

    public static AsyncTriggerExitTrigger GetAsyncTriggerExitTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTriggerExitTrigger

#### GetAsyncTriggerStay2DTrigger(Component)

    public static AsyncTriggerStay2DTrigger GetAsyncTriggerStay2DTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTriggerStay2DTrigger

#### GetAsyncTriggerStay2DTrigger(GameObject)

    public static AsyncTriggerStay2DTrigger GetAsyncTriggerStay2DTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTriggerStay2DTrigger

#### GetAsyncTriggerStayTrigger(Component)

    public static AsyncTriggerStayTrigger GetAsyncTriggerStayTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncTriggerStayTrigger

#### GetAsyncTriggerStayTrigger(GameObject)

    public static AsyncTriggerStayTrigger GetAsyncTriggerStayTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncTriggerStayTrigger

#### GetAsyncUpdateSelectedTrigger(Component)

    public static AsyncUpdateSelectedTrigger GetAsyncUpdateSelectedTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncUpdateSelectedTrigger

#### GetAsyncUpdateSelectedTrigger(GameObject)

    public static AsyncUpdateSelectedTrigger GetAsyncUpdateSelectedTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncUpdateSelectedTrigger

#### GetAsyncUpdateTrigger(Component)

    public static AsyncUpdateTrigger GetAsyncUpdateTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncUpdateTrigger

#### GetAsyncUpdateTrigger(GameObject)

    public static AsyncUpdateTrigger GetAsyncUpdateTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncUpdateTrigger

#### GetAsyncValidateTrigger(Component)

    public static AsyncValidateTrigger GetAsyncValidateTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncValidateTrigger

#### GetAsyncValidateTrigger(GameObject)

    public static AsyncValidateTrigger GetAsyncValidateTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncValidateTrigger

#### GetAsyncWillRenderObjectTrigger(Component)

    public static AsyncWillRenderObjectTrigger GetAsyncWillRenderObjectTrigger(this Component component)

##### Parameters

`component` Component

##### Returns

AsyncWillRenderObjectTrigger

#### GetAsyncWillRenderObjectTrigger(GameObject)

    public static AsyncWillRenderObjectTrigger GetAsyncWillRenderObjectTrigger(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

AsyncWillRenderObjectTrigger

#### OnDestroyAsync(Component)

This function is called when the MonoBehaviour will be destroyed.

    public static UniTask OnDestroyAsync(this Component component)

##### Parameters

`component` Component

##### Returns

UniTask

#### OnDestroyAsync(GameObject)

This function is called when the MonoBehaviour will be destroyed.

    public static UniTask OnDestroyAsync(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

UniTask

#### StartAsync(Component)

    public static UniTask StartAsync(this Component component)

##### Parameters

`component` Component

##### Returns

UniTask

#### StartAsync(GameObject)

    public static UniTask StartAsync(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

UniTask